
# ELTDEV-821: Tries to compose the correct kernel arguments to build
# GRUB_CMDLINE_LINUX in /etc/default/grub

# Note: -z is to prevent newline at the end!
bootcmd = %x{sed -z 's/.*\\(crashkernel=auto.*quiet\\).*/\\1/' /proc/cmdline}

Facter.add('bootprefix') do
    setcode do
        bootcmd
    end
end
